Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleGUILib

    java.lang.Object
      com.ibm.able.rules.AbleGUILib

All Implemented Interfaces:
  java.io.Serializable

public class AbleGUILib
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`AbleGUILib()`

Method Summary
`void` | `askUser(AbleRuleSet theRuleSet, AbleVariable theVariable)` Prompt a user to provide a value for specific variable during backward inferencing.
`void` | `askUser(AbleVariable theVariable)` Prompt a user to provide a value for specific variable during backward inferencing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbleGUILib

    public AbleGUILib()

Method Detail

### askUser

    public void askUser(AbleVariable theVariable)

  Prompt a user to provide a value for specific variable during backward inferencing. If the user cancels out of the dialog, the variable's value is set to null.

  Parameters:
    `theVariable` - a variable whose value cannot be determined any other way.

### askUser

    public void askUser(AbleRuleSet theRuleSet,
                        AbleVariable theVariable)

  Prompt a user to provide a value for specific variable during backward inferencing. If the user cancels out of the dialog, the variable's value is set to null.

  Parameters:
    `theVariable` - a variable whose value cannot be determined any other way.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005